/**
 * 
 */
package uk.co.softwarepulse.fx;

import java.io.IOException;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.layout.AnchorPane;
import javafx.stage.Stage;

/**
 * @author jmc
 *
 */
public class AlertDemo extends Application {
	
	private final String title = "Alert Demo";
	private Stage primaryStage;
    private AnchorPane rootLayout;

	/* (non-Javadoc)
	 * @see javafx.application.Application#start(javafx.stage.Stage)
	 */
	@Override
	public void start(Stage primaryStage) throws Exception {
    	this.primaryStage = primaryStage;
		this.primaryStage.setTitle(title);
	     
		initRootLayout();

	}

	private void initRootLayout() {
		// Load root layout from fxml file.
		FXMLLoader loader = new FXMLLoader();
		loader.setLocation(AlertDemo.class.getResource
	 	 	 ("view/ConnectionOverview.fxml"));
		try {
			rootLayout = (AnchorPane) loader.load();

	        // Show the scene containing the root layout.
	        Scene scene = new Scene(rootLayout);
	        primaryStage.setScene(scene);
	        primaryStage.show();
	        
	        
        } catch (IOException e) {
			e.printStackTrace();
		}
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		launch(args);
	}

}
